# -*- coding: utf-8 -*-
"""
Created on Thu Jan 19 15:02:08 2017

@author: Rockarel
"""

import matplotlib.pyplot as plt
import matplotlib.patches as pat
from mpl_toolkits.mplot3d import Axes3D
import mpl_toolkits.mplot3d.art3d as art3d

def drawCircle(xyLoc, radius, colorIn):
    print(colorIn)
    if (colorIn == ''):
        arc1 = pat.Circle(xyLoc, radius)
    else:
        arc1 = pat.Circle(xyLoc, radius, color = colorIn)
    return arc1

fig = plt.figure()

ax = fig.gca(projection = '3d')

circle1 = drawCircle((0,0), 100, '')
circle2 = drawCircle((100,100),300, 'r')

ax.add_patch(circle1)
ax.add_patch(circle2)

art3d.pathpatch_2d_to_3d(circle1, z = 10, zdir = 'z')
art3d.pathpatch_2d_to_3d(circle2, z = -100, zdir = 'x')

ax.set_xlim3d(-100,100)
ax.set_ylim3d(-100,100)
ax.set_zlim3d(-100,100)

plt.show()