# -*- coding: utf-8 -*-
"""
Created on Wed Jan 18 15:30:08 2017

@author: Rockarel
"""

import numpy as np
import matplotlib.pyplot as plt
from mpl_toolkits.mplot3d import Axes3D

def readFile(path):
    return open(path, 'rt')
    
def drawSide(centerLoc, pointsList):
    x,y,z = [],[],[]
    
    for point in pointsList:
        x += [centerLoc[0] + point[0]]
        y += [centerLoc[1] + point[1]]
        z += [centerLoc[2] + point[2]]

    ax.plot(x,y,z)
    
def drawCube(centerLoc, size):
    points = [[-size/2, size/2, size/2]]
    points += [[size/2, size/2, size/2]]
    points += [[size/2, -size/2, size/2]]
    points += [[-size/2, -size/2, size/2]]
    points += [[-size/2, size/2, size/2]]

    drawSide(centerLoc, points)

    points = [[-size/2, size/2, -size/2]]
    points += [[size/2, size/2, -size/2]]
    points += [[size/2, -size/2, -size/2]]
    points += [[-size/2, -size/2, -size/2]]
    points += [[-size/2, size/2, -size/2]]

    drawSide(centerLoc, points)

    points = [[-size/2, -size/2, -size/2]]
    points += [[size/2, -size/2, -size/2]]
    points += [[size/2, -size/2, size/2]]
    points += [[-size/2, -size/2, size/2]]
    points += [[-size/2, -size/2, -size/2]]

    drawSide(centerLoc, points)

    points = [[-size/2, size/2, -size/2]]
    points += [[size/2, size/2, -size/2]]
    points += [[size/2, size/2, size/2]]
    points += [[-size/2, size/2, size/2]]
    points += [[-size/2, size/2, -size/2]]

    drawSide(centerLoc, points)

    points = [[size/2, -size/2, -size/2]]
    points += [[size/2, -size/2, size/2]]
    points += [[size/2, size/2, size/2]]
    points += [[size/2, size/2, -size/2]]
    points += [[size/2, -size/2, -size/2]]

    drawSide(centerLoc, points)

    points = [[-size/2, -size/2, -size/2]]
    points += [[-size/2, -size/2, size/2]]
    points += [[-size/2, size/2, size/2]]
    points += [[-size/2, size/2, -size/2]]
    points += [[-size/2, -size/2, -size/2]]

    drawSide(centerLoc, points)

    return points
    
fig = plt.figure()
ax = fig.gca(projection = '3d')

plt.ion()
    
points = drawCube([0,0,100], 100)
    
plt.show()